-- to be renamed ScreenSelectMode
local t = Def.ActorFrame{
	Def.ActorFrame{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*0.8;diffusealpha,0.2;zoom,0.25);
		OnCommand=cmd(sleep,1.45;accelerate,0.8;zoom,1;y,SCREEN_CENTER_Y);
		
		LoadActor( THEME:GetPathB("ScreenSelectMusic","overlay/_gate top") )..{
			InitCommand=cmd(y,-20);
			OnCommand=cmd(sleep,1.45;accelerate,0.8;diffusealpha,1);
		};
		LoadActor( THEME:GetPathB("ScreenSelectMusic","overlay/_gate bot") )..{
			InitCommand=cmd(y,20);
			OnCommand=cmd(sleep,1.45;accelerate,0.8;diffusealpha,1);
		};
		LoadActor( THEME:GetPathB("ScreenSelectMusic","overlay/banner frame") )..{
			OnCommand=cmd(sleep,1.45;accelerate,0.8;diffusealpha,1);
		};
	};
	
	Def.ActorFrame{
		Name="MoonFrame";
		
		LoadActor( THEME:GetPathB("_common","elements/moon3d") )..{
			Name="MainMoon";
			InitCommand=cmd(Center;draworder,80;blend,'BlendMode_Add';diffusealpha,0.8;zoom,1;spin;effectmagnitude,0,5,0;pitch,10);
			OnCommand=cmd(bouncebegin,0.25;diffusealpha,0.6;zoom,0.15;rotationy,0;sleep,0.5;accelerate,0.5;x,SCREEN_LEFT+28;rotationy,360;sleep,0.2;accelerate,0.5;y,SCREEN_TOP+28;rotationx,360);
		};
	};
};

return t;